0

I have emacs 28.1 (released on Apr 4, 2022) installed through snapcraft. When I do M-x org-version it says Org-mode version 9.3.4 (which is more than two years old), when the latest version is 9.5 (7 months old). Org-mode documentation says that in order to upgrade org-mode you have to do M-x list-packages and select org package, but there is no org package in my list... I need org latest version in order to use org-cite-insert. How can I upgrade my org-mode (without GitHub if possible)?

3
  • 1
    After 9.5, Org is available on GNU ELPA. Have you changed the value of package-archives? Besides, on my side, the built in org of emacs 28.1 on my side is 9.5.2 May 19 at 13:43
  • Here is my config for Package Repositories: (require 'package) (setq package-archives (("gnu" . "https://elpa.gnu.org/packages/") ("gnu-devel" . "https://elpa.gnu.org/devel/") ("nongnu" . "https://elpa.nongnu.org/nongnu/") ("melpa" . "https://melpa.org/packages/")))
    – crocefisso
    May 19 at 16:29
  • Problem solved, I did sudo snap remove emacs deleted ~/.emacs.d/ and then sudo snap install emacs.
    – crocefisso
    May 19 at 17:51

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.